<template>
  <div>
    <label class="difficultyLabel" for="difficulty">Difficulty: </label>
    <select
      class="selectDifficulty"
      required
      id="difficulty"
      v-model="difficulty"
      @change="setDifficulty(difficulty)"
    >
      <option value="0">Any difficulty</option>
      <option value="easy">Easy</option>
      <option value="medium">Medium</option>
      <option value="hard">Hard</option>
    </select>
  </div>
</template>

<script>
import { mapMutations } from "vuex";

export default {
  name: "StartPageDifficulty",
  data() {
    return {
      difficulty: 0,
    };
  },

  methods: {
    ...mapMutations(["setDifficulty"]),
  },
};
</script>

<style>
.difficultyLabel {
  font-size: larger;
}

.selectDifficulty {
  width: 100%;
  margin: 0px;
  margin-bottom: 10px;
  padding: 5px;
  background-color: rgb(144, 199, 250);
  border: 1px solid rgb(70, 74, 78);
}
</style>